Package com.xebialabs.xlrelease.domain.events

## Class ReleaseUpdatedFromAsCodeEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction2<Release,​scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData>,​ReleaseUpdatedFromAsCodeEvent>
  - - com.xebialabs.xlrelease.domain.events.ReleaseUpdatedFromAsCodeEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function2<Release,​scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData>,​ReleaseUpdatedFromAsCodeEvent>`

      public class ReleaseUpdatedFromAsCodeEvent$
      extends scala.runtime.AbstractFunction2<Release,​scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData>,​ReleaseUpdatedFromAsCodeEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReleaseUpdatedFromAsCodeEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseUpdatedFromAsCodeEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReleaseUpdatedFromAsCodeEvent` | `apply​(Release release, scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData> scmTraceabilityData)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple2<Release,​scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData>>>` | `unapply​(ReleaseUpdatedFromAsCodeEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction2

      `apply$mcDDD$sp, apply$mcDDI$sp, apply$mcDDJ$sp, apply$mcDID$sp, apply$mcDII$sp, apply$mcDIJ$sp, apply$mcDJD$sp, apply$mcDJI$sp, apply$mcDJJ$sp, apply$mcFDD$sp, apply$mcFDI$sp, apply$mcFDJ$sp, apply$mcFID$sp, apply$mcFII$sp, apply$mcFIJ$sp, apply$mcFJD$sp, apply$mcFJI$sp, apply$mcFJJ$sp, apply$mcIDD$sp, apply$mcIDI$sp, apply$mcIDJ$sp, apply$mcIID$sp, apply$mcIII$sp, apply$mcIIJ$sp, apply$mcIJD$sp, apply$mcIJI$sp, apply$mcIJJ$sp, apply$mcJDD$sp, apply$mcJDI$sp, apply$mcJDJ$sp, apply$mcJID$sp, apply$mcJII$sp, apply$mcJIJ$sp, apply$mcJJD$sp, apply$mcJJI$sp, apply$mcJJJ$sp, apply$mcVDD$sp, apply$mcVDI$sp, apply$mcVDJ$sp, apply$mcVID$sp, apply$mcVII$sp, apply$mcVIJ$sp, apply$mcVJD$sp, apply$mcVJI$sp, apply$mcVJJ$sp, apply$mcZDD$sp, apply$mcZDI$sp, apply$mcZDJ$sp, apply$mcZID$sp, apply$mcZII$sp, apply$mcZIJ$sp, apply$mcZJD$sp, apply$mcZJI$sp, apply$mcZJJ$sp, curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final ReleaseUpdatedFromAsCodeEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ReleaseUpdatedFromAsCodeEvent$

          public ReleaseUpdatedFromAsCodeEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function2<Release,​scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData>,​ReleaseUpdatedFromAsCodeEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction2<Release,​scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData>,​ReleaseUpdatedFromAsCodeEvent>`

    - #### apply

          public ReleaseUpdatedFromAsCodeEvent apply​(Release release,
                                                     scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData> scmTraceabilityData)

      Specified by:
        `apply` in interface `scala.Function2<Release,​scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData>,​ReleaseUpdatedFromAsCodeEvent>`

    - #### unapply

          public scala.Option<scala.Tuple2<Release,​scala.Option<com.xebialabs.xlplatform.coc.dto.SCMTraceabilityData>>> unapply​(ReleaseUpdatedFromAsCodeEvent x$0)